Subject: bug#13122: save-excursion not saving point

From: Tino Calancha <[email-masked]>
Date: Sat, 27 Apr 2019 16:44:52 +0900 (JST)

On Sat, 27 Apr 2019, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Date: Sat, 27 Apr 2019 04:53:56 +0900
>>
>> ;; Following expression should eval as non-nil
>> (let ((pos 3))
>>   (with-temp-buffer
>>     (insert "abcdef")
>>     (goto-char pos)
>>     (save-excursion (transpose-chars 2))
>>     (= pos (point))))
>> => nil

I read that warning; maybe getting `nil' is above is expected; if that's 
the case then we can close the report again.

The reason why I shared the above snippet is because Chong applied a patch
(commit: aa26f345096166bd8c135876dbab9b671ae232e3)
to fix the original recipe:
a call to `traspose-chars' inside a `save-excursion' moving the 
point if the argument is n != 1.

> Why did you think it should evaluate to non-nil?  The ELisp manual has
> a warning near the end of description of save-excursion; I think it's
> relevant to this use case.